package com.qmth.distributed.print.business.bean.params.analyze;

import com.qmth.teachcloud.common.enums.QuestionType;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 分析试卷参数数据源
 * @Author: CaoZixuan
 * @Date: 2022-05-30
 */
public class GradePaperStructDatasource {

    @ApiModelProperty(value = "大题号")
    private String bigQuestionNumber;

    @ApiModelProperty(value = "小题号(每一课程试卷的唯一标识)")
    private String smallQuestionNumber;

    @ApiModelProperty(value = "大题名称")
    private String bigTopicName;

    @ApiModelProperty(value = "题号类型（客观题、主观题）")
    private QuestionType numberType;

    @ApiModelProperty(value = "满分")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "计分规则")
    private String scoreRules;

    @ApiModelProperty(value = "知识维度")
    private String knowledgeDimension;

    @ApiModelProperty(value = "能力维度")
    private String abilityDimension;

    public String getBigQuestionNumber() {
        return bigQuestionNumber;
    }

    public void setBigQuestionNumber(String bigQuestionNumber) {
        this.bigQuestionNumber = bigQuestionNumber;
    }

    public String getSmallQuestionNumber() {
        return smallQuestionNumber;
    }

    public void setSmallQuestionNumber(String smallQuestionNumber) {
        this.smallQuestionNumber = smallQuestionNumber;
    }

    public String getBigTopicName() {
        return bigTopicName;
    }

    public void setBigTopicName(String bigTopicName) {
        this.bigTopicName = bigTopicName;
    }

    public QuestionType getNumberType() {
        return numberType;
    }

    public void setNumberType(QuestionType numberType) {
        this.numberType = numberType;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public String getScoreRules() {
        return scoreRules;
    }

    public void setScoreRules(String scoreRules) {
        this.scoreRules = scoreRules;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }
}
